%define major 1
%define libname %mklibname openzwave %{major}
%define develname %mklibname openzwave -d

Summary:	Library to access Z-Wave interfaces
Name:		openzwave
Group:		System/Libraries
Version:	1.2.919
Release:	%mkrel 4
License:	GPLv3+
URL:		http://www.openzwave.net/
Source0:	http://old.openzwave.com/downloads/openzwave-%{version}.tar.gz
Patch0:		openzwave-1.2.919-link.patch
BuildRequires:	udev-devel
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	gcc-c++
BuildRequires:	systemd-devel

%description
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without
requiring any in depth knowledge of the Z-Wave protocol.

%package -n	%{libname}
Summary:	Shared Open-ZWave library
Group:		System/Libraries

%description -n	%{libname}
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without
requiring any in depth knowledge of the Z-Wave protocol.

%package -n	%{develname}
Summary:	Open-ZWave header files
Group:		Development/C++
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without
requiring any in depth knowledge of the Z-Wave protocol.

Header files needed when you want to compile your own applications using
openzwave.

%prep

%autosetup -p1

%build
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})

%set_build_flags
# CFLAGS is used for C++
CFLAGS="$CFLAGS -Wno-format-security -fno-delete-null-pointer-checks -Wno-address -Wno-error=restrict"
CXXFLAGS="$CXXFLAGS -Wno-format-security -fno-delete-null-pointer-checks -Wno-address -Wno-error=restrict"
VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=%{_prefix} sysconfdir=%{_sysconfdir}/openzwave/ includedir=%{_includedir} docdir=%{_defaultdocdir}/openzwave instlibdir=%{_libdir} %make_build

%install

major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_defaultdocdir}/openzwave
mkdir -p %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_includedir}/openzwave/

DESTDIR=%{buildroot} VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=%{_prefix} sysconfdir=%{_sysconfdir}/openzwave/ includedir=%{_includedir}/openzwave/ docdir=%{_defaultdocdir}/openzwave instlibdir=%{_libdir} make install

cp -p INSTALL %{buildroot}%{_defaultdocdir}/openzwave/
cp -pr license %{buildroot}%{_defaultdocdir}/openzwave/
rm %{buildroot}%{_defaultdocdir}/openzwave/Doxyfile.in
rm -rf %{buildroot}%{_defaultdocdir}/openzwave/html/

%files
%{_bindir}/MinOZW

%files -n %{libname}
%dir %{_defaultdocdir}/openzwave
%doc %{_defaultdocdir}/openzwave/default.htm
%doc %{_defaultdocdir}/openzwave/general/
%doc %{_defaultdocdir}/openzwave/images+css/
%doc %{_defaultdocdir}/openzwave/license/
%doc %{_defaultdocdir}/openzwave/INSTALL
%config(noreplace) %{_sysconfdir}/openzwave/
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_defaultdocdir}/openzwave/api/
%{_includedir}/openzwave/
%{_libdir}/libopenzwave.so
%{_libdir}/pkgconfig/libopenzwave.pc


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.2.919-4.mga8
+ Revision: 1515746
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Sep 29 2018 umeabot <umeabot> 1.2.919-3.mga7
+ Revision: 1310904
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 cjw <cjw> 1.2.919-2.mga7
+ Revision: 1154907
- setup compile flags to fix debug packages
- add -fno-delete-null-pointer-checks to CFLAGS and -Wno-address for broken null pointer checks (gcc 7)
- add -pthread to library link so it does not fail with mageia link flags
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 oden <oden> 1.2.919-1.mga6
+ Revision: 903407
- imported package openzwave

